<?php
function feedify_register_settings() {
    add_option( 'feedify_licence_key', '');
    add_option( 'feedify_domain_key', '');
    register_setting( 'feedify_options_group', 'feedify_licence_key', 'feedify_callback' );
    register_setting( 'feedify_options_group', 'feedify_domain_key', 'feedify_callback' );
}
function feedify_save_settings() {
    $feedify_licence_key = $_POST['feedify_licence_key'];
    $feedify_domain_key = $_POST['feedify_domain_key'];
    // check if keys are valid //
    $feedify = new FeedifyAPI($feedify_domain_key, $feedify_licence_key);
    if( $feedify->status() ) {
        // save data
        update_option( 'feedify_licence_key', $feedify_licence_key);
        update_option( 'feedify_domain_key', $feedify_domain_key);
        wp_redirect( admin_url( '/admin.php?page=feedify-settings&feedify_msg='.urlencode('Settings saved') ) );
        exit;
    } else {
        wp_redirect( admin_url( '/admin.php?page=feedify-settings&feedify_error='.urlencode('Invalid keys') ) );
        exit;
    }
}
add_action( 'admin_init', 'feedify_register_settings' );